curl --request POST \
--url https://api.vogent.ai/api/dials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callAgentId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"webhookUrl": "https://test.com/webhook",
"browserCall": false,
"toNumber": "+11234567890",
"fromNumberId": "1caec78c-4bba-477d-82cf-bcfce2b73856",
"fromNumberPoolId": "1caec78c-4bba-477d-82cf-bcfce2b73856",
"aiVoiceId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"voiceOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
],
"voiceVolumeLevel": -100,
"versionedModelId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"ivrVersionedPromptId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"overrideTranscriberFinalDurationMs": 500,
"timeoutMinutes": 10,
"callAgentExtractorId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"callAgentInput": {},
"agentOverrides": {
"defaultVoiceId": "<string>",
"inboundWebhookResponse": true,
"inboundWebhookUrl": "<string>",
"maxDurationSeconds": 123,
"timeoutMessage": "<string>",
"timeoutBehaviorConfiguration": {
"transferNumber": "<string>"
},
"voiceVolumeLevel": 123,
"linkedFunctionDefinitionIds": [
"<string>"
],
"linkedFunctionDefinitionInputs": [
{
"functionDefinitionId": "<string>"
}
],
"metadata": {},
"language": "<string>",
"secondaryLanguages": [
"<string>"
],
"enableChangeLanguage": true,
"fillEmptyStringVariables": true,
"silenceHangupConfiguration": {
"silenceDurationSeconds": 123
},
"ivrSilenceHangupConfiguration": {
"silenceDurationSeconds": 123
}
},
"keywords": [
"<string>"
],
"advancedBrowserInteraction": true
}
'import requests
url = "https://api.vogent.ai/api/dials"
payload = {
"callAgentId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"webhookUrl": "https://test.com/webhook",
"browserCall": False,
"toNumber": "+11234567890",
"fromNumberId": "1caec78c-4bba-477d-82cf-bcfce2b73856",
"fromNumberPoolId": "1caec78c-4bba-477d-82cf-bcfce2b73856",
"aiVoiceId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"voiceOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
],
"voiceVolumeLevel": -100,
"versionedModelId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"ivrVersionedPromptId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"overrideTranscriberFinalDurationMs": 500,
"timeoutMinutes": 10,
"callAgentExtractorId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"callAgentInput": {},
"agentOverrides": {
"defaultVoiceId": "<string>",
"inboundWebhookResponse": True,
"inboundWebhookUrl": "<string>",
"maxDurationSeconds": 123,
"timeoutMessage": "<string>",
"timeoutBehaviorConfiguration": { "transferNumber": "<string>" },
"voiceVolumeLevel": 123,
"linkedFunctionDefinitionIds": ["<string>"],
"linkedFunctionDefinitionInputs": [{ "functionDefinitionId": "<string>" }],
"metadata": {},
"language": "<string>",
"secondaryLanguages": ["<string>"],
"enableChangeLanguage": True,
"fillEmptyStringVariables": True,
"silenceHangupConfiguration": { "silenceDurationSeconds": 123 },
"ivrSilenceHangupConfiguration": { "silenceDurationSeconds": 123 }
},
"keywords": ["<string>"],
"advancedBrowserInteraction": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callAgentId: '61ccefdf-ea02-4f49-811b-1241f8e20d26',
webhookUrl: 'https://test.com/webhook',
browserCall: false,
toNumber: '+11234567890',
fromNumberId: '1caec78c-4bba-477d-82cf-bcfce2b73856',
fromNumberPoolId: '1caec78c-4bba-477d-82cf-bcfce2b73856',
aiVoiceId: '61ccefdf-ea02-4f49-811b-1241f8e20d26',
voiceOptionValues: [{optionId: '<string>', value: '<string>'}],
voiceVolumeLevel: -100,
versionedModelId: '61ccefdf-ea02-4f49-811b-1241f8e20d26',
ivrVersionedPromptId: '61ccefdf-ea02-4f49-811b-1241f8e20d26',
overrideTranscriberFinalDurationMs: 500,
timeoutMinutes: 10,
callAgentExtractorId: '61ccefdf-ea02-4f49-811b-1241f8e20d26',
callAgentInput: {},
agentOverrides: {
defaultVoiceId: '<string>',
inboundWebhookResponse: true,
inboundWebhookUrl: '<string>',
maxDurationSeconds: 123,
timeoutMessage: '<string>',
timeoutBehaviorConfiguration: {transferNumber: '<string>'},
voiceVolumeLevel: 123,
linkedFunctionDefinitionIds: ['<string>'],
linkedFunctionDefinitionInputs: [{functionDefinitionId: '<string>'}],
metadata: {},
language: '<string>',
secondaryLanguages: ['<string>'],
enableChangeLanguage: true,
fillEmptyStringVariables: true,
silenceHangupConfiguration: {silenceDurationSeconds: 123},
ivrSilenceHangupConfiguration: {silenceDurationSeconds: 123}
},
keywords: ['<string>'],
advancedBrowserInteraction: true
})
};
fetch('https://api.vogent.ai/api/dials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dialToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0ZXN0IjoidGVzdCJ9.9EQaLsDRKDVXLUVLR9JgDTjEULaT2-OMbHayQAzgZH8",
"sessionId": "61ccefdf-ea02-4f49-811b-1241f8e20d26",
"dialId": "57555c5e-5a56-49ca-8fe8-24946d2fbc3e"
}Create a new dial
Creates a one-off dial session, either for phone dials or browser dials.
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Body
Create a new dial
Required. The ID of the agent.
"61ccefdf-ea02-4f49-811b-1241f8e20d26"
Optional. The URL for the webhook for this dial session.
"https://test.com/webhook"
Set to true if this is a browser call.
false
Required if this is a phone dial, in E.164 format.
"+11234567890"
The ID for the phone number to use to start the call. Required if this is a phone dial.
"1caec78c-4bba-477d-82cf-bcfce2b73856"
The ID of a phone number pool to use when starting the call.
"1caec78c-4bba-477d-82cf-bcfce2b73856"
The ID for the voice on the call. If not specified, the default voice for the agent will be used.
"61ccefdf-ea02-4f49-811b-1241f8e20d26"
An optional configuration for the voice being used.
Show child attributes
Show child attributes
The volume level for the voice on the call, from -300 (quiet) to 300 (loud).
-100
The prompt/model version to use for this call, if not specified, the default on the agent is used.
"61ccefdf-ea02-4f49-811b-1241f8e20d26"
The prompt/model version to use for the IVR portion of this call, if ivr nav is enabled on the agent.
"61ccefdf-ea02-4f49-811b-1241f8e20d26"
How long in ms after an utterance is complete to ignore the final/non-final status of the transcript and run inference.
500
The number of minutes before the call will be timed out. If not specified, there will be no limit on the calls, it's recommended to provide something here.
10
The ID of the extractor to use for this call, if not specified, the default on the agent is used.
"61ccefdf-ea02-4f49-811b-1241f8e20d26"
Any macros in the call agent prompt.
Show child attributes
Show child attributes
(Alpha) This feature is in Alpha testing, schemas may change slightly before GA. Please notify the Vogent team if there are any issues when using this field. Optional overrides for the call agent used for this dial.
Show child attributes
Show child attributes
A list of keywords to be used in the call.
If browserCall is false, and you want to have a more complex flow, allowing the web SDK to have transcribed barge-in lines, you should set this to true. Contact the vogent team to enable this feature.
Response
Successful operation
You can pass this dial token to Elto's web UI, or use this token to authorize any requests for this dial. It's safe to pass this token to a client -- it only allows users to run requests against the dial associated with this session.
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0ZXN0IjoidGVzdCJ9.9EQaLsDRKDVXLUVLR9JgDTjEULaT2-OMbHayQAzgZH8"
"61ccefdf-ea02-4f49-811b-1241f8e20d26"
"57555c5e-5a56-49ca-8fe8-24946d2fbc3e"